API ReferenceScheduling links
Create a scheduling link
Create a new scheduling link under a specific individual or team scope. Use the scope slug (e.g. acme-inc or john) as the path parameter.
AuthorizationBearer <token>
OAuth 2.0 authorization code flow
In: header
Path Parameters
scope_slug?string
Scope slug
Request Body
application/json
Link creation parameters
TypeScript Definitions
Use the request body type in TypeScript.
Request body for creating a scheduling link.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/scopes/acme-inc/links" \ -H "Content-Type: application/json" \ -d '{ "description": "A brief meeting to discuss your needs", "name": "My New Link", "private_name": "Internal meeting name", "type": "recurring" }'{ "default_duration": 30, "description": "A brief meeting to discuss your needs", "durations": [ 15, 30, 45 ], "fields": [ { "id": "field_123", "is_required": true, "label": "Company", "options": [], "type": "short_text" } ], "id": "link_01J5KC2G3MHPCECSQ6KM6FMDPC", "increment": 15, "name": "30 Minute Meeting", "private_name": "Quick sync with prospects", "scope": { "id": "scope_01J5KC4R7NHQFGT8V2WD9Y8H6X", "name": "Sales Team", "slug": "sales" }, "slug": "30min", "state": "active"}